%define	major 5
%define	libname %mklibname tiff %{major}
%define	devname %mklibname tiff -d

Summary:	A library of functions for manipulating TIFF format image files
Name:		libtiff
Version:	4.0.9
Release:	1
License:	BSD-like
Group:		Graphics
Url:		http://www.simplesystems.org/libtiff/
Source0:	ftp://download.osgeo.org/libtiff/tiff-%{version}.tar.gz
Patch0:		libtiff-CVE-2014-8128.patch
Patch1:		libtiff-CVE-2015-7554.patch
Patch2:		libtiff-CVE-2017-9935.patch
Patch3:		libtiff-CVE-2017-11613.patch
Patch4:		libtiff-CVE-2017-17095.patch
Patch5:		libtiff-CVE-2017-18013.patch
Patch6:		libtiff-CVE-2018-5784.patch
BuildRequires:	jbig-devel
BuildRequires:	pkgconfig(glut)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(xaw7)

%description
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

#----------------------------------------------------------------------------

%package progs
Summary:	Binaries needed to manipulate TIFF format image files
Group:		Graphics

%description progs
This package provides binaries needed to manipulate TIFF format image files.

%files progs
%doc COPYRIGHT
%{_bindir}/*
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library of functions for manipulating TIFF format image files
Group:		System/Libraries

%description -n %{libname}
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%files -n %{libname}
%doc ChangeLog COPYRIGHT
%{_libdir}/libtiff.so.%{major}*
%{_libdir}/libtiffxx.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development tools for programs which will use the libtiff library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	tiff-devel = %{EVRD}

%description -n %{devname}
This package contains the header files and .so libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%files -n %{devname}
%{_datadir}/doc/%{devname}/*
%{_includedir}/*.h*
%{multiarch_includedir}/tiffconf.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libtiff-4.pc
%{_mandir}/man3/*

#----------------------------------------------------------------------------

%prep
%setup -qn tiff-%{version}
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

# Cleanup
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done


%build
export LDFLAGS="%{ldflags}"
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CXXFLAGS="%{optflags}"
./autogen.sh

# the "JPEG 8/12 bit dual mode" is too messy..., maybe later?
# http://trac.osgeo.org/gdal/wiki/TIFF12BitJPEG
# --with-jpeg12-include-dir=
# --with-jpeg12-lib=
%configure2_5x	--disable-static \
				--enable-ld-version-script \
				--with-docdir=%{_datadir}/doc/%{devname}

%make


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}
%makeinstall_std

install -m0644 libtiff/tiffiop.h %{buildroot}%{_includedir}/
install -m0644 libtiff/tif_dir.h %{buildroot}%{_includedir}/

# multiarch policy
%multiarch_includes %{buildroot}%{_includedir}/tiffconf.h

# Cleanup...
rm -f %{buildroot}%{_libdir}/*.la
# ... remove man pages for programs that are not provided anymore
rm -f %{buildroot}%{_mandir}/man1/rgb2ycbcr.1*
rm -f %{buildroot}%{_mandir}/man1/thumbnail.1*


%check
LD_LIBRARY_PATH=$PWD:$LD_LIBRARY_PATH make check

%changelog

* Sat Mar 24 2018 Giovanni Mariani <mc2374@mclink.it> 4.0.9-1
- (b1527da) Updated to release 4.0.9, dropped P0 (merged) and added P0, P2-P6 to fix various CVEs


